
;
;   packtdef.inc
;
;   This file contains TI<->uC packet definitions
;
;   last modified: 03/14/2002 mmddyy 16:42 by Burkart
;


tiucpacket_uc_re_started:
        .db     $01, $00, $10

tiucpacket_ti_started:
        .db     $01, $00, $11

tiucpacket_uc_logged_in:
        .db     $01, $00, $12

tiucpacket_uc_logging_in:
        .db     $01, $00, $13

tiucpacket_ti_login_data:
        .db     $09, $00, $14
        ; attached data:
        .db     "USERNAME"      ; 8 byte username

tiucpacket_ti_software_version:
        .db     $04, $00, $15
        ; attached data:
        .db     CALCTYPE        ; TI-82
        .db     VERSION_HIGH    ; Hi version TI software
        .db     VERSION_LOW     ; Lo version TI software

tiucpacket_uc_software_version:
        .db     $05, $00, $16
        ; attached data:
        ; 1 byte C type        ; $51 for AT89C51
        ; 1 byte ext. SRAM size ; $32 for 32kB SRAM (62256)
        ; 1 byte Hi version
        ; 1 byte Lo version

tiucpacket_ti_exit:
        .db     $01, $00, $20

tiucpacket_uc_logged_out:
        .db     $01, $00, $21

tiucpacket_ack:
        .db     $01, $00, $30

tiucpacket_ping:
        .db     $01, $00, $60

tiucpacket_ti_send_radio_packet:
        ; 1 word length
        ; 1 byte ID: $40
        ; attached data:
        ;        1 byte Content-ID
        ; length-2 byte radio packet data

tiucpacket_uc_sent_radio_packet:
        .db     $01, $00, $41

tiucpacket_uc_received_radio_packet:
        .db     $01, $00, $51

tiucpacket_uc_received_complete_radio_packet:
        .db     $04, $00, $52
        ; attached data:
        ; 1 byte Content-ID
        ; 1 word data length

tiucpacket_ti_request_radio_packet:
        .db     $05, $00, $53
        ; attached data:
        ; 1 word offset
        ; 1 word length

tiucpacket_uc_send_radio_packet:
        ; 1 word length
        ; 1 byte ID: $54
        ; attached data:
        ;        1 byte Content-ID
        ; length-2 byte radio packet data

